
_Send_POT_Value:

;DS1868.c,41 :: 		void Send_POT_Value(unsigned short num1){
;DS1868.c,44 :: 		Mask = 0x80;
	MOVLW      128
	MOVWF      R3
;DS1868.c,45 :: 		Reset = 1;    // Pull Reset line HIGH to initiate Data transfer
	BSF        RA4_bit+0, 4
;DS1868.c,46 :: 		Data = 0;     // Stack select bit 0
	BCF        RB2_bit+0, 2
;DS1868.c,47 :: 		Clock = 1;
	BSF        RB3_bit+0, 3
;DS1868.c,48 :: 		Delay_us(1);
	NOP
	NOP
	NOP
	NOP
;DS1868.c,49 :: 		Clock = 0;
	BCF        RB3_bit+0, 3
;DS1868.c,52 :: 		for (t=0; t<8; t++){
	CLRF       R2
L_Send_POT_Value0:
	MOVLW      8
	SUBWF      R2, 0
	BTFSC      STATUS+0, 0
	GOTO       L_Send_POT_Value1
;DS1868.c,53 :: 		Flag = num1 & Mask;
	MOVF       R3, 0
	ANDWF      FARG_Send_POT_Value_num1+0, 0
	MOVWF      R1
;DS1868.c,54 :: 		if(Flag==0) Data = 0;
	MOVF       R1, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_Send_POT_Value3
	BCF        RB2_bit+0, 2
	GOTO       L_Send_POT_Value4
L_Send_POT_Value3:
;DS1868.c,55 :: 		else Data = 1;
	BSF        RB2_bit+0, 2
L_Send_POT_Value4:
;DS1868.c,56 :: 		Clock = 1;
	BSF        RB3_bit+0, 3
;DS1868.c,57 :: 		Delay_us(1);
	NOP
	NOP
	NOP
	NOP
;DS1868.c,58 :: 		Clock = 0;
	BCF        RB3_bit+0, 3
;DS1868.c,59 :: 		Mask = Mask >> 1;
	LSRF       R3, 1
;DS1868.c,52 :: 		for (t=0; t<8; t++){
	INCF       R2, 1
;DS1868.c,60 :: 		}
	GOTO       L_Send_POT_Value0
L_Send_POT_Value1:
;DS1868.c,62 :: 		Mask = 0x80;
	MOVLW      128
	MOVWF      R3
;DS1868.c,63 :: 		for (t=0; t<8; t++){
	CLRF       R2
L_Send_POT_Value5:
	MOVLW      8
	SUBWF      R2, 0
	BTFSC      STATUS+0, 0
	GOTO       L_Send_POT_Value6
;DS1868.c,64 :: 		Flag = num1 & Mask;
	MOVF       R3, 0
	ANDWF      FARG_Send_POT_Value_num1+0, 0
	MOVWF      R1
;DS1868.c,65 :: 		if(Flag==0) Data = 0;
	MOVF       R1, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_Send_POT_Value8
	BCF        RB2_bit+0, 2
	GOTO       L_Send_POT_Value9
L_Send_POT_Value8:
;DS1868.c,66 :: 		else Data = 1;
	BSF        RB2_bit+0, 2
L_Send_POT_Value9:
;DS1868.c,67 :: 		Clock = 1;
	BSF        RB3_bit+0, 3
;DS1868.c,68 :: 		Delay_us(1);
	NOP
	NOP
	NOP
	NOP
;DS1868.c,69 :: 		Clock = 0;
	BCF        RB3_bit+0, 3
;DS1868.c,70 :: 		Mask = Mask >> 1;
	LSRF       R3, 1
;DS1868.c,63 :: 		for (t=0; t<8; t++){
	INCF       R2, 1
;DS1868.c,71 :: 		}
	GOTO       L_Send_POT_Value5
L_Send_POT_Value6:
;DS1868.c,72 :: 		Reset = 0;   // End Data transfer
	BCF        RA4_bit+0, 4
;DS1868.c,73 :: 		}
	RETURN
; end of _Send_POT_Value

_Debounce_Key:

;DS1868.c,75 :: 		void Debounce_Key(){
;DS1868.c,76 :: 		Delay_ms(300);
	MOVLW      7
	MOVWF      R11
	MOVLW      23
	MOVWF      R12
	MOVLW      106
	MOVWF      R13
L_Debounce_Key10:
	DECFSZ     R13, 1
	GOTO       L_Debounce_Key10
	DECFSZ     R12, 1
	GOTO       L_Debounce_Key10
	DECFSZ     R11, 1
	GOTO       L_Debounce_Key10
	NOP
;DS1868.c,77 :: 		}
	RETURN
; end of _Debounce_Key

_ADC_Display:

;DS1868.c,79 :: 		void ADC_Display(unsigned short ch, unsigned short row){
;DS1868.c,81 :: 		ADC_Value = ADC_Read(ch);
	MOVF       FARG_ADC_Display_ch+0, 0
	MOVWF      FARG_ADC_Read_channel+0
	CALL       _ADC_Read+0
	MOVF       R0, 0
	MOVWF      ADC_Display_ADC_Value_L0+0
	MOVF       R1, 0
	MOVWF      ADC_Display_ADC_Value_L0+1
;DS1868.c,82 :: 		ADC[0] = ADC_Value/1000 + 48;
	MOVF       _ADC+0, 0
	MOVWF      FLOC__ADC_Display+0
	MOVF       _ADC+1, 0
	MOVWF      FLOC__ADC_Display+1
	MOVLW      232
	MOVWF      R4
	MOVLW      3
	MOVWF      R5
	CALL       _Div_16x16_U+0
	MOVLW      48
	ADDWF      R0, 1
	MOVF       FLOC__ADC_Display+0, 0
	MOVWF      FSR1L
	MOVF       FLOC__ADC_Display+1, 0
	MOVWF      FSR1H
	MOVF       R0, 0
	MOVWF      INDF1+0
;DS1868.c,83 :: 		ADC[1] = (ADC_Value/100)%10 + 48;
	MOVLW      1
	ADDWF      _ADC+0, 0
	MOVWF      FLOC__ADC_Display+0
	MOVLW      0
	ADDWFC     _ADC+1, 0
	MOVWF      FLOC__ADC_Display+1
	MOVLW      100
	MOVWF      R4
	MOVLW      0
	MOVWF      R5
	MOVF       ADC_Display_ADC_Value_L0+0, 0
	MOVWF      R0
	MOVF       ADC_Display_ADC_Value_L0+1, 0
	MOVWF      R1
	CALL       _Div_16x16_U+0
	MOVLW      10
	MOVWF      R4
	MOVLW      0
	MOVWF      R5
	CALL       _Div_16x16_U+0
	MOVF       R8, 0
	MOVWF      R0
	MOVF       R9, 0
	MOVWF      R1
	MOVLW      48
	ADDWF      R0, 1
	MOVF       FLOC__ADC_Display+0, 0
	MOVWF      FSR1L
	MOVF       FLOC__ADC_Display+1, 0
	MOVWF      FSR1H
	MOVF       R0, 0
	MOVWF      INDF1+0
;DS1868.c,84 :: 		ADC[2] = (ADC_Value/10)%10 + 48;
	MOVLW      2
	ADDWF      _ADC+0, 0
	MOVWF      FLOC__ADC_Display+0
	MOVLW      0
	ADDWFC     _ADC+1, 0
	MOVWF      FLOC__ADC_Display+1
	MOVLW      10
	MOVWF      R4
	MOVLW      0
	MOVWF      R5
	MOVF       ADC_Display_ADC_Value_L0+0, 0
	MOVWF      R0
	MOVF       ADC_Display_ADC_Value_L0+1, 0
	MOVWF      R1
	CALL       _Div_16x16_U+0
	MOVLW      10
	MOVWF      R4
	MOVLW      0
	MOVWF      R5
	CALL       _Div_16x16_U+0
	MOVF       R8, 0
	MOVWF      R0
	MOVF       R9, 0
	MOVWF      R1
	MOVLW      48
	ADDWF      R0, 1
	MOVF       FLOC__ADC_Display+0, 0
	MOVWF      FSR1L
	MOVF       FLOC__ADC_Display+1, 0
	MOVWF      FSR1H
	MOVF       R0, 0
	MOVWF      INDF1+0
;DS1868.c,85 :: 		ADC[3] = ADC_Value%10 + 48;
	MOVLW      3
	ADDWF      _ADC+0, 0
	MOVWF      FLOC__ADC_Display+0
	MOVLW      0
	ADDWFC     _ADC+1, 0
	MOVWF      FLOC__ADC_Display+1
	MOVLW      10
	MOVWF      R4
	MOVLW      0
	MOVWF      R5
	MOVF       ADC_Display_ADC_Value_L0+0, 0
	MOVWF      R0
	MOVF       ADC_Display_ADC_Value_L0+1, 0
	MOVWF      R1
	CALL       _Div_16x16_U+0
	MOVF       R8, 0
	MOVWF      R0
	MOVF       R9, 0
	MOVWF      R1
	MOVLW      48
	ADDWF      R0, 1
	MOVF       FLOC__ADC_Display+0, 0
	MOVWF      FSR1L
	MOVF       FLOC__ADC_Display+1, 0
	MOVWF      FSR1H
	MOVF       R0, 0
	MOVWF      INDF1+0
;DS1868.c,86 :: 		LCD_Out(row,4, ADC );
	MOVF       FARG_ADC_Display_row+0, 0
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      4
	MOVWF      FARG_Lcd_Out_column+0
	MOVF       _ADC+0, 0
	MOVWF      FARG_Lcd_Out_text+0
	MOVF       _ADC+1, 0
	MOVWF      FARG_Lcd_Out_text+1
	CALL       _Lcd_Out+0
;DS1868.c,87 :: 		}
	RETURN
; end of _ADC_Display

_main:

;DS1868.c,89 :: 		void main() {
;DS1868.c,90 :: 		ANSELA = 0b00000011;  // RA0, RA1 analog inputs
	MOVLW      3
	MOVWF      ANSELA+0
;DS1868.c,91 :: 		TRISA  = 0b00101111;  // RA0-RA3 inputs
	MOVLW      47
	MOVWF      TRISA+0
;DS1868.c,92 :: 		ANSELB = 0x00;        // PORTB all digital I/O
	CLRF       ANSELB+0
;DS1868.c,93 :: 		TRISB  = 0x00;
	CLRF       TRISB+0
;DS1868.c,95 :: 		Lcd_Init();        // Initialize LCD
	CALL       _Lcd_Init+0
;DS1868.c,96 :: 		Lcd_Cmd(_LCD_CLEAR);             // CLEAR display
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;DS1868.c,97 :: 		Lcd_Cmd(_LCD_CURSOR_OFF);        // Cursor off
	MOVLW      12
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;DS1868.c,98 :: 		Lcd_Out(1,1,message1);            // Write message1 in 1st row
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _message1+0
	MOVWF      FARG_Lcd_Out_text+0
	MOVLW      hi_addr(_message1+0)
	MOVWF      FARG_Lcd_Out_text+1
	CALL       _Lcd_Out+0
;DS1868.c,99 :: 		Lcd_Out(2,1,message2);            // Write message2 in 2nd row
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _message2+0
	MOVWF      FARG_Lcd_Out_text+0
	MOVLW      hi_addr(_message2+0)
	MOVWF      FARG_Lcd_Out_text+1
	CALL       _Lcd_Out+0
;DS1868.c,100 :: 		aa = 0;
	CLRF       _aa+0
;DS1868.c,101 :: 		Send_POT_Value(0);
	CLRF       FARG_Send_POT_Value_num1+0
	CALL       _Send_POT_Value+0
;DS1868.c,102 :: 		ADC_Display(0, 1);
	CLRF       FARG_ADC_Display_ch+0
	MOVLW      1
	MOVWF      FARG_ADC_Display_row+0
	CALL       _ADC_Display+0
;DS1868.c,103 :: 		ADC_Display(1, 2);
	MOVLW      1
	MOVWF      FARG_ADC_Display_ch+0
	MOVLW      2
	MOVWF      FARG_ADC_Display_row+0
	CALL       _ADC_Display+0
;DS1868.c,104 :: 		do {
L_main11:
;DS1868.c,105 :: 		if (!Up) {
	BTFSC      RA2_bit+0, 2
	GOTO       L_main14
;DS1868.c,106 :: 		Debounce_Key();
	CALL       _Debounce_Key+0
;DS1868.c,107 :: 		if (aa < 255) {
	MOVLW      255
	SUBWF      _aa+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_main15
;DS1868.c,108 :: 		aa = aa + 5;
	MOVLW      5
	ADDWF      _aa+0, 1
;DS1868.c,109 :: 		}
L_main15:
;DS1868.c,110 :: 		Send_POT_Value(aa);
	MOVF       _aa+0, 0
	MOVWF      FARG_Send_POT_Value_num1+0
	CALL       _Send_POT_Value+0
;DS1868.c,111 :: 		ADC_Display(0, 1);
	CLRF       FARG_ADC_Display_ch+0
	MOVLW      1
	MOVWF      FARG_ADC_Display_row+0
	CALL       _ADC_Display+0
;DS1868.c,112 :: 		ADC_Display(1, 2);
	MOVLW      1
	MOVWF      FARG_ADC_Display_ch+0
	MOVLW      2
	MOVWF      FARG_ADC_Display_row+0
	CALL       _ADC_Display+0
;DS1868.c,114 :: 		}
L_main14:
;DS1868.c,116 :: 		if (!Down) {
	BTFSC      RA3_bit+0, 3
	GOTO       L_main16
;DS1868.c,117 :: 		Debounce_Key();
	CALL       _Debounce_Key+0
;DS1868.c,118 :: 		if (aa > 0) {
	MOVF       _aa+0, 0
	SUBLW      0
	BTFSC      STATUS+0, 0
	GOTO       L_main17
;DS1868.c,119 :: 		aa = aa - 5;
	MOVLW      5
	SUBWF      _aa+0, 1
;DS1868.c,120 :: 		}
L_main17:
;DS1868.c,121 :: 		Send_POT_Value(aa);
	MOVF       _aa+0, 0
	MOVWF      FARG_Send_POT_Value_num1+0
	CALL       _Send_POT_Value+0
;DS1868.c,122 :: 		ADC_Display(0, 1);
	CLRF       FARG_ADC_Display_ch+0
	MOVLW      1
	MOVWF      FARG_ADC_Display_row+0
	CALL       _ADC_Display+0
;DS1868.c,123 :: 		ADC_Display(1, 2);
	MOVLW      1
	MOVWF      FARG_ADC_Display_ch+0
	MOVLW      2
	MOVWF      FARG_ADC_Display_row+0
	CALL       _ADC_Display+0
;DS1868.c,124 :: 		}
L_main16:
;DS1868.c,127 :: 		} while (1);
	GOTO       L_main11
;DS1868.c,131 :: 		}
	GOTO       $+0
; end of _main
